summaryrefslogtreecommitdiffstats
path: root/source/xap/xchat
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xchat')
-rwxr-xr-xsource/xap/xchat/xchat.SlackBuild9
-rw-r--r--source/xap/xchat/xchat.glib.g.diff47
2 files changed, 53 insertions, 3 deletions
diff --git a/source/xap/xchat/xchat.SlackBuild b/source/xap/xchat/xchat.SlackBuild
index c02a71e5f..bef11065a 100755
--- a/source/xap/xchat/xchat.SlackBuild
+++ b/source/xap/xchat/xchat.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=2.8.8
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-8}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,13 +58,16 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf xchat-$VERSION
-tar xvf $CWD/xchat-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/xchat-$VERSION.tar.xz || exit 1
cd xchat-$VERSION || exit 1
if [ -d $CWD/patches ]; then
for file in $CWD/patches/*.diff.gz ; do
zcat $file | patch -p1 --verbose || exit 1
done
fi
+
+zcat $CWD/xchat.glib.g.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/xap/xchat/xchat.glib.g.diff b/source/xap/xchat/xchat.glib.g.diff
new file mode 100644
index 000000000..143d3448d
--- /dev/null
+++ b/source/xap/xchat/xchat.glib.g.diff
@@ -0,0 +1,47 @@
+--- ./src/common/util.c.orig 2009-08-16 04:40:16.000000000 -0500
++++ ./src/common/util.c 2013-05-13 22:18:22.364370023 -0500
+@@ -39,7 +39,7 @@
+ #include <errno.h>
+ #include "xchat.h"
+ #include "xchatc.h"
+-#include <glib/gmarkup.h>
++#include <glib.h>
+ #include <ctype.h>
+ #include "util.h"
+ #include "../../config.h"
+--- ./src/common/text.c.orig 2010-05-29 21:14:41.000000000 -0500
++++ ./src/common/text.c 2013-05-13 22:17:58.028371777 -0500
+@@ -28,7 +28,7 @@
+ #include <sys/mman.h>
+
+ #include "xchat.h"
+-#include <glib/ghash.h>
++#include <glib.h>
+ #include "cfgfiles.h"
+ #include "chanopt.h"
+ #include "plugin.h"
+--- ./src/common/xchat.h.orig 2009-08-16 04:40:16.000000000 -0500
++++ ./src/common/xchat.h 2013-05-13 22:16:41.332377305 -0500
+@@ -1,10 +1,6 @@
+ #include "../../config.h"
+
+-#include <glib/gslist.h>
+-#include <glib/glist.h>
+-#include <glib/gutils.h>
+-#include <glib/giochannel.h>
+-#include <glib/gstrfuncs.h>
++#include <glib.h>
+ #include <time.h> /* need time_t */
+
+ #ifndef XCHAT_H
+--- ./src/common/servlist.c.orig 2010-05-16 02:24:26.000000000 -0500
++++ ./src/common/servlist.c 2013-05-13 22:17:29.900373805 -0500
+@@ -24,7 +24,7 @@
+ #include <unistd.h>
+
+ #include "xchat.h"
+-#include <glib/ghash.h>
++#include <glib.h>
+
+ #include "cfgfiles.h"
+ #include "fe.h"